Package org.mariadb.jdbc.client.util

## Class MutableInt

- java.lang.Object
- - org.mariadb.jdbc.client.util.MutableInt

    public class MutableInt
    extends Object

Mutable int, permitting to update packet sequence

### Constructor Summary

Constructors
`MutableInt()`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte` `get()` Get current sequence value
`byte` `incrementAndGet()` Increment sequence and get new value
`void` `set​(byte value)` Set new sequence value

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MutableInt

    public MutableInt()

### Method Detail

#### set

    public void set​(byte value)

Set new sequence value

Parameters:
  `value` - new value

#### get

    public byte get()

Get current sequence value

Returns:
  value

#### incrementAndGet

    public byte incrementAndGet()

Increment sequence and get new value

Returns:
  new value